> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/reference/pim/search/search-filters.md).

# Search filters

#### View search filters

Add, remove and edit search filters applied to the search.

#### Add filter

1. Click the "Search"-icon in the top left.
2. Click the "Add filter"-button in the side panel.
3. Select field from the "Choose field"-dropdown.
4. Enter value into the field and press enter to filter based on the entered value.

#### Edit filter

1. Remove filter by clicking the "x"-icon next to the "<i class="fa-chevron-up">:chevron-up:</i>"-icon on the filter.

#### Remove all filters

1. Click the button with three dots located next to the number of filters applied text at the top of the panel to reveal more options.
2. Remove all filters.

#### Reorder filters

1. Click the button with three dots located next to the number of filters applied text at the top of the panel to reveal more options.
2. Reorder filters.
3. Click the "Done reordering"-button when finished.

#### Expand all filters

1. Click the button with three dots located next to the number of filters applied text at the top of the panel to reveal more options.
2. Expand filters.

#### Collapse all filters

1. Click the button with three dots located next to the number of filters applied text at the top of the panel to reveal more options.
2. Collapse filters.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.struct.com/reference/pim/search/search-filters.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
